org.apache.mina.service.executor

## Class UnorderHandlerExecutor

- java.lang.Object
- - org.apache.mina.service.executor.UnorderHandlerExecutor

All Implemented Interfaces:
  IoHandlerExecutor

    public class UnorderHandlerExecutor
    extends Object
    implements IoHandlerExecutor

(in progress)

Author:
  Apache MINA Project

### Constructor Summary

Constructors
Constructor and Description
`UnorderHandlerExecutor(Executor executor)`

### Method Summary

Methods
`void` `execute(Event event)` execute a given event

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnorderHandlerExecutor

    public UnorderHandlerExecutor(Executor executor)

### Method Detail

#### execute

    public void execute(Event event)

Description copied from interface: `IoHandlerExecutor`
execute a given event

Specified by:
  `execute` in interface `IoHandlerExecutor`
Parameters:
  `event` - the event to execute